Page MenuHomePhabricator

Visual diff on a section edit shows every other section to have been deleted (but the edit saves correctly)
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce

  1. Visit my sandbox page
  2. Edit the "There are known knowns" section using the 2017 VisualWikitext editor (Note: Don't use the 'Edit source' in the top of the page. Use the 'Edit source' link near the section heading)
  3. Review your changes as a VisualDiff

Actual results

Every other section is shown as deleted in the VisualDiff along with the change done to the section even though that is not the case.

Expected results

Only the change done to the section should be shown.

NOTE: This doesn't seem to be an issue with VisualEditor as clicking on 'Edit' link on a section starts VisualEditor on the whole page showing the current section. This seems to specific to the 2017 VisualWikitext editor, so tagging it.

Environment details

Browser: Firefox Nightly 59.0a1
OS: Debian GNU/Linux 9 (stretch)
Skin: Vector

This was initially reported in the feedback page for VisualDiffs https://www.mediawiki.org/wiki/Topic:U4gz8ed64lgerqqd

Event Timeline

Kaartic created this task.Jan 2 2018, 5:22 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 2 2018, 5:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Kaartic updated the task description. (Show Details)Jan 2 2018, 5:24 PM

Also occurs in the following environment,

Browser: Firefox 57.0.3 (64-bit)
OS: Arch Linux
Skin: Vector (default).

Deskana renamed this task from Section editing shows every other section to have been deleted to Visual diff on a section edit shows every other section to have been deleted (but the edit saves correctly).Jan 2 2018, 5:25 PM
Deskana triaged this task as High priority.
Deskana moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.
Deskana set the point value for this task to 1.
Elitre added a subscriber: Elitre.Jan 3 2018, 9:41 AM
simon04 added a subscriber: simon04.Jan 4 2018, 6:07 PM
Esanders lowered the priority of this task from High to Low.Feb 17 2018, 11:06 AM
Esanders added a subscriber: Esanders.

Showing visual diffs from wikitext mode is a lower priority than the normal visual diff feature.

Given this will require matching up wikitext sections with Parsoid sections, I think I'll probably just disable visual mode when WT section editing.

Mvolz added a subscriber: Mvolz.Feb 22 2018, 10:56 PM

Change 418701 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Disable visual diffs on source mode section edits

https://gerrit.wikimedia.org/r/418701

Change 418701 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Disable visual diffs on source mode section edits

https://gerrit.wikimedia.org/r/418701

Deskana closed this task as Resolved.Mar 21 2018, 5:00 PM
Deskana added a subscriber: Deskana.

Looking at the code, it seems like it keeps the button there, but greys it out. That's good. I wonder could we indicate to the user somehow why it's greyed out? That should be a separate task, anyway.